# $Revision: 1.7 $, $Date: 2012/02/11 21:50:52 $
Summary:	An event system library
Summary(pl.UTF-8):	Biblioteka systemu zdarzeń
Name:		tevent
Version:	0.9.15
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	http://samba.org/ftp/tevent/%{name}-%{version}.tar.gz
# Source0-md5:	dc9ff17e5d6b89ac63df0d0a7f41eb6e
URL:		http://tevent.samba.org/
BuildRequires:	talloc-devel >= 2.0.5
BuildRequires:	python-devel >= 1:2.4.2
BuildRequires:	python-talloc-devel >= 2.0.5
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tevent is an event system based on the talloc memory management
library. It is the core event system used in Samba.

The low level tevent has support for many event types, including
timers, signals, and the classic file descriptor events.

Tevent also provide helpers to deal with asynchronous code providing
the tevent_req (tevent request) functions.

%description -l pl.UTF-8
Tevent to system zdarzeń oparty na bibliotece zarządzającej pamięcią
talloc. Jest to główny system zdarzeń używany w Sambie.

Niskopoziomowo tevent obsługuje wiele rodzajów zdarzeń, w tym
zegary, sygnały i zdarzenia związane z klasycznymi deskryptorami
plików.

Tevent udostępnia także funkcje pomocnicze tevent_req (żądanie tevent)
dla kodu asynchronicznego.

%package devel
Summary:	Header files for tevent library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki tevent
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	talloc-devel >= 2.0.5

%description devel
Header files for tevent library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tevent.

%package -n python-tevent
Summary:	Python bindings for tevent
Summary(pl.UTF-8):	Pythonowy interfejs do tevent
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-talloc >= 2.0.5
%pyrequires_eq  python-libs

%description -n python-tevent
Python bindings for tevent.

%description -n python-tevent -l pl.UTF-8
Pythonowy interfejs do tevent.

%prep
%setup -q

%build
# note: configure in fact is waf call
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
PYTHONDIR=%{py_sitedir} \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtevent.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtevent.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtevent.so
%{_includedir}/tevent.h
%{_pkgconfigdir}/tevent.pc

%files -n python-tevent
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_tevent.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tevent.spec,v $
Revision 1.7  2012/02/11 21:50:52  zbyniu
- up to 0.9.15

Revision 1.6  2011/10/22 13:04:47  glen
- deps

Revision 1.5  2011/08/14 18:55:53  qboosh
- updated to 0.9.14

Revision 1.4  2011/07/11 16:20:41  qboosh
- updated to 0.9.13

Revision 1.3  2011/06/30 17:33:24  qboosh
- updated to 0.9.12

Revision 1.2  2011/03/16 15:54:09  qboosh
- updated to 0.9.11

Revision 1.1  2011/01/15 08:36:46  qboosh
- new spec
